Skip to main content

Book Transactions

Overview

You can create BOOK transactions via POST /v1/customer/id/{placeholder('customerId')}/transaction.
The examples below demonstrate common intra-Ahrvo and PPI/secured-card movements.

Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/transaction

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/transaction
Scenarios Covered

• Send — Ahrvo → Ahrvo (account → account)
• Send — Ahrvo → other customer's PPI
• Send — Ahrvo → secured credit card


Send — Ahrvo → Ahrvo (account → account)

POST /banking/us2/v1/customer/id/{placeholder('customerId')}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"method": "BOOK",
"amount": "{placeholder('amount')}",
"type": "REGULAR",
"purpose": "{placeholder('purpose')}",
"source": {
"account": { "id": "{placeholder('sourceAccountId')}" }
},
"destination": {
"account": { "id": "{placeholder('destinationAccountId')}" }
},
"allowDuplicate": false
}

Send — Ahrvo → PPI (other customer)

POST /banking/us2/v1/customer/id/{customerId}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"amount": "{amount}",
"method": "BOOK",
"type": "REGULAR",
"purpose": "{purpose}",
"source": {
"account": { "id": "{sourceAccountId}" }
},
"destination": {
"ppi": "{ppiAddress}"
}
}

Send — Ahrvo → Secured Credit Card

POST /banking/us2/v1/customer/id/{customerId}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"source": {
"account": { "id": "{sourceAccountId}" }
},
"method": "BOOK",
"type": "REGULAR",
"amount": "{amount}",
"purpose": "{purpose}",
"processInstantly": true,
"destination": {
"card": { "id": "{cardId}" }
},
"allowDuplicate": true
}

OpenAPI Specification